varying vec2 		texcoord;
uniform sampler2D 	src;
uniform sampler2D 	tex;

void main()
{
	vec3 color=pow(texture2D(tex,texcoord).xyz,vec3(2.2));
	gl_FragColor.xyz=max(vec3(0.0),texture2D(src,texcoord).xyz*color);
}
